package com.bc_chat.mine.presenter;


import com.bc_chat.bc_base.presenter.UpdateVersonPresenter;
import com.bc_chat.bc_base.presenter.WebPresenter;
import com.bc_chat.mine.contract.SettingContract;
import com.zhaohaoting.framework.abs.presenter.BasePresenter;

/**
 * author：Created by zhaohaoting on 2019/9/6
 * email：526309416@qq.com
 * desc：
 */
public class SettingPresenter extends BasePresenter<SettingContract.View> implements SettingContract.Presenter {

    private final WebPresenter<SettingContract.View> webPresenter;
    private final UpdateVersonPresenter<SettingContract.View> updateVersonPresenter;

    public SettingPresenter(SettingContract.View view) {
        super(view);
        webPresenter = new WebPresenter<>(view);
        updateVersonPresenter = new UpdateVersonPresenter<>(view);
    }

    @Override
    public void loadWebPage(int type) {
        webPresenter.loadWebPage(type);
    }

    @Override
    public void getUpdateVerson(boolean isShowDialog) {
//        updateVersonPresenter.getUpdateVerson(isShowDialog);
    }
}
